summaryrefslogtreecommitdiffstats
path: root/libraries
diff options
context:
space:
mode:
author Heinz Wiesinger <HMWiesinger@gmx.at>2010-05-11 20:01:01 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-11 20:01:01 +0200
commitccca6c764407fe096cc6d4836000f9dc96b8543a (patch)
tree113f4d612290664d04432faac8216d06c99022e7 /libraries
parent55594dce26ed024f73555f85e425a6c747eeda14 (diff)
downloadslackbuilds-ccca6c764407fe096cc6d4836000f9dc96b8543a.tar.gz
slackbuilds-ccca6c764407fe096cc6d4836000f9dc96b8543a.tar.xz
libraries/raptor: Added to 12.0 repository
Diffstat (limited to 'libraries')
-rw-r--r--libraries/raptor/README8
-rw-r--r--libraries/raptor/raptor.SlackBuild85
-rw-r--r--libraries/raptor/raptor.info8
-rw-r--r--libraries/raptor/slack-desc19
4 files changed, 120 insertions, 0 deletions
diff --git a/libraries/raptor/README b/libraries/raptor/README
new file mode 100644
index 0000000000..6ff1ab38f1
--- /dev/null
+++ b/libraries/raptor/README
@@ -0,0 +1,8 @@
+Raptor is a free software / Open Source C library that provides a set
+of parsers and serializers that generate Resource Description Framework
+(RDF) triples by parsing syntaxes or serialize the triples into a
+syntax. The supported parsing syntaxes are RDF/XML, N-Triples, TRiG,
+Turtle, RSS tag soup including all versions of RSS, Atom 1.0 and 0.3,
+GRDDL and microformats for HTML, XHTML and XML. The serializing
+syntaxes are RDF/XML (regular, and abbreviated), N-Triples, RSS 1.0,
+Atom 1.0 and Adobe XMP. \ No newline at end of file
diff --git a/libraries/raptor/raptor.SlackBuild b/libraries/raptor/raptor.SlackBuild
new file mode 100644
index 0000000000..7b50379c42
--- /dev/null
+++ b/libraries/raptor/raptor.SlackBuild
@@ -0,0 +1,85 @@
+#!/bin/sh
+
+# Slackware build script for raptor
+# Written by ppr:kut <hmwiesinger@gmx.at>
+
+# Copyright 2007 Heinz Wiesinger
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+# Modified by Robby Workman <rworkman@slackbuilds.org>
+# No additional license terms added :)
+
+PRGNAM=raptor
+VERSION=1.4.16
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --disable-static
+
+make
+make install-strip DESTDIR=$PKG
+
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $( find . -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS ChangeLog* COPYING* INSTALL* LICENSE* NEWS* \
+ NOTICE README* RELEASE.html $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+( cd $PKG/usr/doc/$PRGNAM-$VERSION
+ ln -s /usr/share/gtk-doc/html/raptor html
+)
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/libraries/raptor/raptor.info b/libraries/raptor/raptor.info
new file mode 100644
index 0000000000..d14d726729
--- /dev/null
+++ b/libraries/raptor/raptor.info
@@ -0,0 +1,8 @@
+PRGNAM="raptor"
+VERSION="1.4.16"
+HOMEPAGE="http://librdf.org/"
+DOWNLOAD="http://download.librdf.org/source/raptor-1.4.16.tar.gz"
+MD5SUM="49c16262e0aed0197a3e60ade7bec205"
+MAINTAINER="ppr:kut"
+EMAIL="HMWiesinger@gmx.at"
+APPROVED="rworkman"
diff --git a/libraries/raptor/slack-desc b/libraries/raptor/slack-desc
new file mode 100644
index 0000000000..760fcd8161
--- /dev/null
+++ b/libraries/raptor/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+raptor: raptor (RDF Parser & Serializer)
+raptor:
+raptor: Raptor is a free software/Open Source C library that provides a set of
+raptor: parsers and serializers that generate Resource Description Framework
+raptor: (RDF) triples by parsing syntaxes or serialize the triples into a
+raptor: syntax. The supported parsing syntaxes are RDF/XML, N-Triples, TRiG,
+raptor: Turtle, RSS tag soup including all versions of RSS, Atom 1.0 and 0.3,
+raptor: GRDDL and microformats for HTML, XHTML and XML.
+raptor:
+raptor: Homepage: http://librdf.org/
+raptor: